cern.jet.random

## Class Exponential

- java.lang.Object
- - cern.colt.PersistentObject
  - - cern.jet.random.AbstractDistribution
    - - cern.jet.random.AbstractContinousDistribution
      - - cern.jet.random.Exponential

All Implemented Interfaces:
  DoubleFunction, IntFunction, java.io.Serializable, java.lang.Cloneable

    public class Exponential
    extends AbstractContinousDistribution

Exponential Distribution (aka Negative Exponential Distribution); See the math definition animated definition.

`p(x) = lambda*exp(-x*lambda)` for `x >= 0`, `lambda > 0`.

Instance methods operate on a user supplied uniform random number generator; they are unsynchronized.

Static methods operate on a default uniform random number generator; they are synchronized.

Version:
  1.0, 09/24/99
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class cern.colt.PersistentObject

`serialVersionUID`

### Constructor Summary

Constructors
Constructor and Description
`Exponential(double lambda, RandomEngine randomGenerator)` Constructs a Negative Exponential distribution.

### Method Summary

Methods
`double` `cdf(double x)` Returns the cumulative distribution function.
`double` `nextDouble()` Returns a random number from the distribution.
`double` `nextDouble(double lambda)` Returns a random number from the distribution; bypasses the internal state.
`double` `pdf(double x)` Returns the probability distribution function.
`void` `setState(double lambda)` Sets the mean.
`static double` `staticNextDouble(double lambda)` Returns a random number from the distribution with the given lambda.
`java.lang.String` `toString()` Returns a String representation of the receiver.

### Methods inherited from class cern.jet.random.AbstractDistribution

`apply, apply, clone, makeDefaultGenerator, nextInt`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Exponential

    public Exponential(double lambda,
               RandomEngine randomGenerator)

Constructs a Negative Exponential distribution.

### Method Detail

#### cdf

    public double cdf(double x)

Returns the cumulative distribution function.

#### nextDouble

    public double nextDouble()

Returns a random number from the distribution.

Specified by:
  `nextDouble` in class `AbstractDistribution`

#### nextDouble

    public double nextDouble(double lambda)

Returns a random number from the distribution; bypasses the internal state.

#### pdf

    public double pdf(double x)

Returns the probability distribution function.

#### setState

    public void setState(double lambda)

Sets the mean.

#### staticNextDouble

    public static double staticNextDouble(double lambda)

Returns a random number from the distribution with the given lambda.

#### toString

    public java.lang.String toString()

Returns a String representation of the receiver.

Overrides:
  `toString` in class `java.lang.Object`